package com.chelvc.cloud.admin.controller;

import com.chelvc.cloud.vehicle.api.dto.DynamicCommentDTO;
import com.chelvc.cloud.vehicle.api.param.ExamineDynamicParam;
import com.chelvc.cloud.vehicle.api.param.QueryAdminDynamicParam;
import com.chelvc.cloud.vehicle.api.service.DynamicCommentService;
import com.chelvc.framework.common.model.PagedDTO;
import com.chelvc.framework.common.model.PagedVO;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * 评论信息
 * @author: igl
 * @date: 2023/8/17 22:18
 */
@Validated
@RequiredArgsConstructor
@RestController
@RequestMapping("/admin/comment")
public class DynamicCommentController {

  private final DynamicCommentService dynamicCommentService;

  /**
   * 查询列表
   * @param param
   * @param page
   * @author igl
   * @date 2023/8/9 17:25
   */
  @GetMapping("/list")
  public PagedVO<DynamicCommentDTO> list(QueryAdminDynamicParam param, PagedDTO page) {
    return dynamicCommentService.queryAdminPageList(param, page.getPageCode(), page.getPageSize());
  }

  /**
   * 动态手动审核
   *
   * @param param
   * @author igl
   * @date 2023/8/17 17:25
   */
  @PutMapping("/examine")
  public void examine(@Validated @RequestBody ExamineDynamicParam param) {
    dynamicCommentService.examine(param.getId(), param.getExamine());
  }
}
